// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Ultraviolet Radiation Measurement Device"
//   Ultraviolet Radiation Measurement and Application Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2017.
//   http://www.cs.hku.hk/~uv/

/*
  To load an image, you need an PImage object.
  Let's call the object "img".
  We declare that img is an PImage, like this:
*/
PImage img;


void setup() {
  /* Initial set up required by processing. */
  size(0, 0);
  surface.setResizable(true);
  
  /*
    We load an image from a file using loadImage()
      giving the file name as parameter.
  */
  img = loadImage("After.jpg");

  /*
    The width and height of the image can be referred to as
      img.width and img.height respectively.
  */
  // Here, we make the window to be of the same size as the image.
  surface.setSize(img.width, img.height);
}


void draw() {
  /*
    This specifies that the image "img" is the background
  */
  background(img);
}