// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Ultraviolet Radiation Measurement Device"
//   Ultraviolet Radiation Measurement and Application Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2017.
//   http://www.cs.hku.hk/~uv/

PImage img;


void setup() {
  /* Initial set up required by processing. */
  size(0, 0);
  surface.setResizable(true);
  
  // load the image
  img = loadImage("After.jpg");

  // make window same size as that of image
  surface.setSize(img.width, img.height);
}


void draw() {
  // use image as background
  background(img);
  
  // allow us to access the image pixels
  loadPixels();

  color p = img.pixels[img.width*mouseY + mouseX];
  // get hue and saturation value of a pixel
  println(mouseX+" "+mouseY+" "+hue(p)+" "+saturation(p));
}